# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Private Attributes | List of all members
dirac::FileStreamInput Class Reference

Picture input class. More...

`#include <pic_io.h>`

## Public Member Functions
| FileStreamInput (const char *input_name, const SourceParams &sparams, bool interlace)
| Constructor. More...
virtual | ~FileStreamInput ()
| Destructor. More...
SourceParams & | GetSourceParams ()
StreamPicInput * | GetStream ()
| Return the input stream. More...

## Private Attributes
StreamPicInput * | m_inp_str
std::istream * | m_ip_pic_ptr
| Input stream. More...

## Detailed Description

Class for reading picture data from a file.

## Constructor & Destructor Documentation

dirac::FileStreamInput::FileStreamInput | ( | const char * | input_name,
|  | const SourceParams & | sparams,
|  | bool | interlace
| ) |  |

Constructor, takes

Parameters

  input_name | the name of the input picture file
  sparams | the source parameters
  interlace | input is treated as interlaced

virtual dirac::FileStreamInput::~FileStreamInput | ( |  | ) |
| virtual

## Member Function Documentation

SourceParams& dirac::FileStreamInput::GetSourceParams | ( |  | ) |
| inline

References dirac::StreamPicInput::GetSourceParams(), and m_inp_str.

StreamPicInput* dirac::FileStreamInput::GetStream | ( |  | ) |
| inline

References m_inp_str.

## Member Data Documentation

StreamPicInput* dirac::FileStreamInput::m_inp_str
| private

Referenced by GetSourceParams(), and GetStream().

std::istream* dirac::FileStreamInput::m_ip_pic_ptr
| private

The documentation for this class was generated from the following file:

- pic_io.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.